mwbr.net
当前位置:首页 >> jquEry%1.4.2和jQuEry 1.10.2哪个好? 有什么区别 >>

jquEry%1.4.2和jQuEry 1.10.2哪个好? 有什么区别

理论上版本越高的越好,但如果是初学的话,基础知识都是差不多的,什么版本都行

1、 jquery-1.10.2.min.js是 jquery-1.10.2.js的压缩版本,去除了文件里面的空白,不方便阅读源代码。 2、jquery.js是未压缩的JQuery库版本,适合于查看和阅读源代码。jquery.js 一般带版本号,可以从命名上看出来版本。未压缩的JQuery库同样分...

两者从性能上优化了。还有某些方法被删减了。jquery的宗旨是写更少的代码,做更多的事情。 并且他本质追求是轻量级,因此他每次的改进,都是以降低多余代码,和多余功能为基础的。 1.8.3的插件,未必适合1.10.2,因为某些方法被删减了。有可能出...

jquery的版本都是向下兼容的,一般情况下,换了高版本是不会影响的。难道脚本报错了?

用on是可以的,你代码写的有问题: HTML: Click!!!JS: $(function(){ $('body').on('click', '.test', function(e){ alert('TEST'); }); $("APPEND TEST DIV!!!!!").insertAfter("#test");});

联.系.方.式. Q . 3.7.9.9.6.0.4.0.0

这是两个版本的jq库,用一个就可以了,你引入两个是什么意思?

你好: JQuery 在1.9版本就已经开始围绕API清理,删除了之前版本中不建议使用的一些功能,这些变化可能会影响现有代码。 具体可以查看官方文档查看API的变化: http://blog.jquery.com/2012/12/17/jquery-1-9-beta-1-released/ 如果不想做出改动...

jquery-2.1.1.intellisense.js似乎是个jquery的什么拓展,如果不明确的要使用它,不用引进来 看你引用的似乎是在学习jquery,把intellisense删了看看,还有就是jquery-2.1.1.js,jquery-2.1.1.min.js只需要引用一个,jquery-2.1.1.min.map不用引...

符号的让渡问题,楼上的做法是正确的,不过还有种做法,就是另外封装$符号,在你的代码的最外层加上: (function($){ 这里放你原来的代码,就可以了

网站首页 | 网站地图
All rights reserved Powered by www.mwbr.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com